Bug Hunting Session
Bug 36763 - Mail Merge E-Mail stops with error "Invalid Address"
Summary: Mail Merge E-Mail stops with error "Invalid Address"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 Beta3
Hardware: x86-64 (AMD64) Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 34184
  Show dependency treegraph
 
Reported: 2011-05-02 01:26 UTC by Rainer Bielefeld Retired
Modified: 2011-08-02 04:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot, pls. see original report! (28.34 KB, image/png)
2011-05-02 01:26 UTC, Rainer Bielefeld Retired
Details
plausible backport from/for python itself (455 bytes, patch)
2011-07-29 09:16 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-05-02 01:26:53 UTC
Created attachment 46237 [details]
Screenshot, pls. see original report!

With "LibreOffice 3.4Beta3  – WIN7  Home Premium  (64bit) German UI [DEV300m103 (Build:3)]" most sending attempts (as pdf) fail with error message "invalid address", although addresses are valid, of course! Example for "invalid" address: RainerBielefeldNG@BielefeldUndBuss.de

Blocks "Bug 34184 - [Task]: Make E-mail MAILMERGE usable"

In the extended Dialog I see message:

<type 'exceptions.TypeError'>: string payload expected: <type 'instance'>, traceback follows
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:175 in function _handle_text() [raise TypeError('string payload expected: %s' % type(payload))]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:135 in function _dispatch() [meth(msg)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:109 in function _write() [self._dispatch(msg)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:84 in function flatten() [self._write(msg)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:201 in function _handle_multipart() [g.flatten(part, unixfrom=False)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:135 in function _dispatch() [meth(msg)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:109 in function _write() [self._dispatch(msg)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\generator.py:84 in function flatten() [self._write(msg)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\python-core-2.6.1\lib\email\message.py:135 in function as_string() [g.flatten(self, unixfrom=unixfrom)]
  C:\Program Files (x86)\LibreOffice 3\Basis\program\mailmerge.py:225 in function sendMailMessage() [self.server.sendmail(sendermail, truerecipients, msg.as_string())]
Comment 1 Rainer Bielefeld Retired 2011-05-15 02:16:44 UTC
Worked for me the first attempt with "LibreOffice 3.4Beta5  – WIN7  Home Premium  (64bit) German UI [DEV300m103 (Build:5)]", all further tests failed with reported result.

Corrected Platform / OS

E-Mail mailmerge still unusable!
Comment 2 Rainer Bielefeld Retired 2011-06-21 08:50:45 UTC
Same with 3.4.1RC1, but tere I only see (Translated from German) "An error occured", Mails list again shows "invalid E-Mail address"

Detail Pane shows very similar (or the same) Message as already reported.

@Caolan:
Although I might get on your bad side by adding you to CC ...   ;-)
Comment 3 Caolán McNamara 2011-07-29 06:55:33 UTC
Hmm, ST_FAILED is "Sending failed (invalid address)" so all failures are described as invalid address, which is unhelpful
Comment 4 Caolán McNamara 2011-07-29 07:10:25 UTC
I see it
Comment 5 Caolán McNamara 2011-07-29 09:16:00 UTC
Created attachment 49723 [details]
plausible backport from/for python itself

http://bugs.python.org/issue4768 is hauntingly similar, attached might be the right solution. worked 10-12 times in a row on windows
Comment 6 Caolán McNamara 2011-08-02 04:25:20 UTC
After rigging up a windows build this seems to indeed be the problem. I believe fixed with http://cgit.freedesktop.org/libreoffice/libs-extern-sys/commit/?id=491dab7d62dc42a13d56fe82cc33c2fb312ee30f at least I was getting it on the second address, and now I don't see it after 10+ send attempts, and resulting attached .pdfs received appear fine.